Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.entries.controls
Interface FeedEntriesControl

All Superinterfaces
  CM_Control<FeedEntry>, ContentControlBase<FeedEntry,Folder>, GroupSpaceContentControl<FeedEntry>, Serializable

All Known Implementing Classes:
  FeedEntriesControlImpl

    public interface FeedEntriesControl

extends CM_Control<FeedEntry>

Create a GroupSpace Feed Entry.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`FeedEntry` | `create(String uid, CommunityContent.Visibility visibility, String title, String description, String author, String link, String uri, Calendar published, String contents, boolean archived, FeedFolder parentFolder)`
`FeedEntry` | `create(String uid, CommunityContent.Visibility visibility, String owner, String title, String description, String author, String link, String uri, Calendar published, String contents, boolean archived, FeedFolder parentFolder, Set<CmxControl.PropertyPair> dynamicProps)`
`List<FeedEntry>` | `findByArchiveStatus(boolean status, String parentFolder)`
`FeedEntry` | `findByUid(String uid)`
`FeedEntry` | `findByUid(String uid, String parentFolder)`
`List<FeedEntry>` | `findInFolder(String feedFolder)`
`String` | `getContents(FeedEntry feedEntry)`
`String` | `getEntryDescription(FeedEntry feedEntry)`
`void` | `removeEntry(String parentId, String uid)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    FeedEntry create(String uid,
                     CommunityContent.Visibility visibility,
                     String title,
                     String description,
                     String author,
                     String link,
                     String uri,
                     Calendar published,
                     String contents,
                     boolean archived,
                     FeedFolder parentFolder)
                     throws NoSuchNodeException,
                            RepositoryException,
                            AuthorizationException

  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### create

    FeedEntry create(String uid,
                     CommunityContent.Visibility visibility,
                     String owner,
                     String title,
                     String description,
                     String author,
                     String link,
                     String uri,
                     Calendar published,
                     String contents,
                     boolean archived,
                     FeedFolder parentFolder,
                     Set<CmxControl.PropertyPair> dynamicProps)
                     throws NoSuchNodeException,
                            RepositoryException,
                            AuthorizationException

  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### findByUid

    FeedEntry findByUid(String uid)

  Parameters
    `uid` -
  Returns
    Null if nothing found

### findByUid

    FeedEntry findByUid(String uid,
                        String parentFolder)

  Parameters
    `uid` -
    `parentFolder` -
  Returns
    Null if nothing found

### findByArchiveStatus

    List<FeedEntry> findByArchiveStatus(boolean status,
                                        String parentFolder)

  Parameters
    `status` -
    `parentFolder` -
  Returns
    Null if nothing found

### findInFolder

    List<FeedEntry> findInFolder(String feedFolder)

  Parameters
    `feedFolder` -
  Returns
    Null if nothing found

### getEntryDescription

    String getEntryDescription(FeedEntry feedEntry)
                               throws Exception

  Throws
    `Exception`

### getContents

    String getContents(FeedEntry feedEntry)
                       throws Exception

  Throws
    `Exception`

### removeEntry

    void removeEntry(String parentId,
                     String uid)
                     throws org.apache.beehive.controls.api.ControlException

  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved